org.richfaces.renderkit.html

## Class SubTableRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.AbstractRowsRenderer
        - - org.richfaces.renderkit.AbstractTableRenderer
          - - org.richfaces.renderkit.html.SubTableRenderer

- All Implemented Interfaces:
    org.ajax4jsf.model.DataVisitor, org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser

      public class SubTableRenderer
      extends AbstractTableRenderer

  Author:
    shura

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.richfaces.renderkit.AbstractTableRenderer

      `AbstractTableRenderer.RichHeaderEncodeStrategy, AbstractTableRenderer.SimpleHeaderEncodeStrategy`

  - ### Field Summary

    - ### Fields inherited from class org.richfaces.renderkit.AbstractRowsRenderer

      `CELL_CLASS_KEY, ROW_CLASS_KEY, SKIN_CELL_CLASS_KEY, SKIN_FIRST_ROW_CLASS_KEY, SKIN_ROW_CLASS_KEY, TABLE_EVENT_ATTRS`

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SubTableRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doEncodeBegin(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected void` | `doEncodeEnd(javax.faces.context.ResponseWriter writer, javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.lang.String` | `getCellSkinClass()`
    `protected java.lang.Class<? extends javax.faces.component.UIComponent>` | `getComponentClass()`
    `protected java.lang.String` | `getFirstRowSkinClass()`
    `protected java.lang.String` | `getRowSkinClass()`

    - ### Methods inherited from class org.richfaces.renderkit.AbstractTableRenderer

      `addInplaceInput, buildAjaxFunction, calculateRowColumns, doDecode, encodeEnd, encodeFooter, encodeHeader, encodeHeaderFacets, encodeOneRow, encodeRowEvents, encodeRowStart, encodeRowStart, encodeTableStructure, encodeTBody, encodeTBodyAjax, getColumnsCount, getScripts, isColumnFacetPresent, isColumnRendered, isHeaderFactoryColumnAttributePresent, isRequiresScripts, renderBodyOnly, setRequiresScripts`

    - ### Methods inherited from class org.richfaces.renderkit.AbstractRowsRenderer

      `doCleanup, encodeCaption, encodeCellChildren, encodeRows, encodeRows, encodeStyle, encodeStyleClass, encodeTableHeaderFacet, getRendersChildren, process`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeChildren, encodeBegin, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SubTableRenderer

          public SubTableRenderer()

  - ### Method Detail

    - #### doEncodeBegin

          protected void doEncodeBegin(javax.faces.context.ResponseWriter writer,
                           javax.faces.context.FacesContext context,
                           javax.faces.component.UIComponent component)
                                throws java.io.IOException

      Overrides:
        `doEncodeBegin` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### doEncodeEnd

          protected void doEncodeEnd(javax.faces.context.ResponseWriter writer,
                         javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `doEncodeEnd` in class `org.ajax4jsf.renderkit.RendererBase`
      Throws:
        `java.io.IOException`

    - #### getRowSkinClass

          protected java.lang.String getRowSkinClass()

      Overrides:
        `getRowSkinClass` in class `AbstractTableRenderer`
      Returns:

    - #### getFirstRowSkinClass

          protected java.lang.String getFirstRowSkinClass()

      Overrides:
        `getFirstRowSkinClass` in class `AbstractTableRenderer`
      Returns:

    - #### getCellSkinClass

          protected java.lang.String getCellSkinClass()

      Overrides:
        `getCellSkinClass` in class `AbstractTableRenderer`
      Returns:

    - #### getComponentClass

          protected java.lang.Class<? extends javax.faces.component.UIComponent> getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### encodeChildren

          public void encodeChildren(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                              throws java.io.IOException

      Overrides:
        `encodeChildren` in class `AbstractTableRenderer`
      Throws:
        `java.io.IOException`

Copyright © 2013. All Rights Reserved.